=== debian/control ===
Source: ros-noetic-urdfdom-py
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-mock, python3-setuptools, ros-noetic-catkin
Homepage: http://wiki.ros.org/urdfdom_py
Standards-Version: 3.9.2

Package: ros-noetic-urdfdom-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-noetic-rospy
Description: Python implementation of the URDF parser.
